Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class ListCacheKey

    java.lang.Object
      org.jboss.ejb.CacheKey
          org.jboss.ejb.ListCacheKey

All Implemented Interfaces:
  Externalizable, Serializable

public final class ListCacheKey
extends CacheKey

ListCacheKey extends `CacheKey` and holds info about the List that the entity belongs to, it is used with CMP 2.0 for reading ahead.

Version:
  $Revision: 1.4 $
Author:
  Oleg Nitz
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.ejb.CacheKey
`hashCode, id, mo`

Constructor Summary
`ListCacheKey()`
`ListCacheKey(Object id, long listId, int index)`

Method Summary
`int` | `getIndex()`
`long` | `getListId()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jboss.ejb.CacheKey
`equals, getId, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListCacheKey

    public ListCacheKey()

### ListCacheKey

    public ListCacheKey(Object id,
                        long listId,
                        int index)

Parameters:
  `listId` - The list id.
  `index` - The index of this entity in the list.

Method Detail

### getListId

    public long getListId()

### getIndex

    public int getIndex()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `CacheKey`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `CacheKey`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.